## beid 3.5.2.dfsg

=== _src/beid-2.6/SConstruct ===
""""
help       -> scons -h
compile    -> scons
clean      -> scons -c
install    -> scons install
uninstall  -> scons -c install
configure  -> scons configure prefix=/tmp/ita debug=full extraincludes=/usr/local/include:/tmp/include prefix=/usr/local

Run from a subdirectory -> scons -u
The variables are saved automatically after the first run (look at cache/kde.cache.py, ..)
"""

import os
import sys

EnsureSConsVersion(0, 96)

if os.path.isfile("/etc/debian_version"):
    os.environ['QTDIR'] = "/usr/share/qt3"

if os.path.isfile("/etc/fedora-release"):
    os.environ['QTDIR'] = "/usr/lib/qt-3.3"

if os.path.isfile("/etc/SuSE-release"):
    os.environ['QTDIR'] = "/usr/lib/qt3"

env = Environment(tools=['default', 'generic', 'qt'], toolpath=['admin'])
env['QT_LIB'] = 'qt-mt'
env.Append(ENV = {'HOME': os.environ['HOME']})

# set the CC flags. This has been changed from 'AppendUnique' to 'Append'
# because it generated compiler commands that had the CCFLAGS all summed up
# between dbl-quotes. This was not taken correctly by the g++ 4.2.1 compiler on openSuse.
#env.AppendUnique(CCFLAGS='-Dlinux -pipe -DQT_THREAD_SUPPORT -D_REENTRANT')
env.Append(CCFLAGS=' -Dlinux -pipe -DQT_THREAD_SUPPORT -D_REENTRANT' )
env.AppendUnique(CPPPATH=['/usr/include/PCSC']) # here needed for config step (for debian)

# FIXME not for for 32 bit mandriva !
if os.path.isfile("/etc/mandriva-release"):
    # FIXME should remove /usr/lib/qt3/lib from path (now warning ...)
    env.Append(LIBPATH=['/usr/lib/qt3/lib64'])

if os.path.isfile("/etc/fedora-release"):
    env.Append(LIBPATH=['/usr/lib/qt-3.3/lib'])
    env.Append(CPPPATH = ['/usr/include/wx-2.6'])

if os.path.isfile("/etc/SuSE-release"):
    env.Append(LIBPATH=['/usr/lib/qt3/lib'])

env['PREFIX'] = ARGUMENTS.get('prefix', '/usr/local')
# FIXME: the confdir is hardcoded to /usr/local/etc, as is done in the sources
#env['CONFDIR'] = ARGUMENTS.get('confdir', '/usr/local/etc')
env['CONFDIR'] = '/usr/local/etc'
env['LIBDIR'] = ARGUMENTS.get('libdir', '/usr/local/lib')

def CheckPKGConfig(context, version):
     context.Message( 'Checking for pkg-config... ' )
     ret = context.TryAction('pkg-config --atleast-pkgconfig-version=%s' % version)[0]
     context.Result( ret )
     return ret

def CheckPKG(context, name):
     context.Message( 'Checking for %s... ' % name )
     ret = context.TryAction('pkg-config --exists \'%s\'' % name)[0]
     context.Result( ret )
     return ret

if not env['HELP']:
    optionsfile=env['CACHEDIR'] + 'custom.cache.py'
    opts = Options(optionsfile)
    opts.AddOptions(('CUSTOMISCONFIGURED', 'configuration succeeded'))
    opts.AddOptions(('WITHEIDGUI', 'with eidgui'))
    opts.AddOptions(('WITHJNI', 'with eidlib JNI'))
    opts.AddOptions(('JAVA', 'JAVA_HOME'))
    opts.Update(env)

if not env['HELP'] and (env['_CONFIGURE'] or not env.has_key('CUSTOMISCONFIGURED')):
    conf = Configure(env, custom_tests = { 'CheckPKGConfig' : CheckPKGConfig,
                                           'CheckPKG' : CheckPKG })
    # pkg-config
    if not conf.CheckPKGConfig('0.15.0'):
        print 'pkg-config >= 0.15.0 not found.'
        Exit(1)

    # QT
    # FIXME what if QT 4.x installed !?
    if not conf.CheckPKG('qt-mt >= 3.3.3'):
        print 'qt-mt >= 3.3.3 not found.'
        Exit(1)

    # pcsclite
    if not conf.CheckPKG('libpcsclite >= 1.2.9'):
        print 'pcsclite >= 1.2.9 not found.'
        Exit(1)

    # openssl
    if not conf.CheckPKG('openssl >= 0.9.7'):
        print 'openssl >= 0.9.7 not found.'
        Exit(1)

    # can we build QT apps ?
    if not conf.CheckLibWithHeader('qt-mt', 'qapplication.h', 'c++', 'QApplication qapp(0,0);' ):
        Exit(1)

    # openssl
    if not (conf.CheckLibWithHeader('crypto', 'openssl/crypto.h', 'C', 'SSLeay();') and
            conf.CheckLibWithHeader('ssl', 'openssl/ssl.h', 'C', 'SSL_library_init();')):
        print 'OpenSSL not found, exiting'
        Exit(1)

    if os.path.isfile("/etc/fedora-release"):
    	env.Append(LIBPATH="/usr/lib")

    # check for wx libs
    # must be version wx 2.4 or 2.6
    if conf.CheckLib('wx_gtk-2.4') or conf.CheckLib('wx_gtk2u_core-2.6') or conf.CheckLib('wx_gtk2-2.4') or conf.CheckLib('wx_gtk2_core-2.6'):
        env['WITHEIDGUI']=1

    # check for headers
    headers = Split('''openssl/bio.h openssl/conf.h openssl/ocsp.h openssl/ssl.h 
                       pcsclite.h assert.h ctype.h float.h stdarg.h stdio.h stdlib.h string.h''')
    for header in headers:
        if not conf.CheckHeader(header):
            print 'Did not find %s header file, exiting' % (header)
            Exit(1)

    # check for STL headers
    headers = Split('algorithm map string vector')
    for header in headers:
        if not conf.CheckCXXHeader(header):
            print 'Did not find %s header file, exiting' % (header)
            Exit(1)

    # check for JNI headers (require presence of Java SDK)
    if os.environ.has_key('JAVA_HOME'):
        saveEnv = env['CPPPATH']
        javaHome = os.environ['JAVA_HOME']
        env['JAVA'] = javaHome
        env.Append(CPPPATH = [javaHome + '/include', javaHome + '/include/linux'])
        if conf.CheckHeader('jni.h'):
            env['WITHJNI']=1
        env.Replace(CPPPATH = saveEnv)

    print
    if not env.has_key('WITHEIDGUI'):
        print "Not building eidviewer: no wx_gtk 2.4 or 2.6 found"
    if not env.has_key('WITHJNI'):
        print "Not building eidlibjni: JAVA_HOME needs to point to the Java2 SDK"
    print

    env['CUSTOMISCONFIGURED']=1
    opts.Save(optionsfile, env)

    print "NOTE: to start the privacy filter and crl download services automatically at boot-time,"
    print "extra steps need to be taken (chkconfig, update-rc.d, install_initd) using the two "
    print "/etc/init.d/belgium.be-beid* files."
    print 
    env = conf.Finish()

Export('env')
#env.SConscript('src/SConscript', build_dir='build', duplicate=0)
env.SConscript('src/SConscript')

prefix = env['PREFIX']
env.Alias('install', env.Install(prefix + '/share/beid', 'doc/eID-toolkit_licensingtermsconditions Deutch.rtf'))
env.Alias('install', env.Install(prefix + '/share/beid', 'doc/eID-toolkit_licensingtermsconditions English.rtf'))
env.Alias('install', env.Install(prefix + '/share/beid', 'doc/eID-toolkit_licensingtermsconditions Francais.rtf'))
env.Alias('install', env.Install(prefix + '/share/beid', 'doc/eID-toolkit_licensingtermsconditions Nederlands.rtf'))
env.Alias('install', env.Install(prefix + '/share/beid', 'doc/DeveloperGuide.doc'))

# if you forget to add a version number, the one in the file VERSION will be used instead
#env.dist('beid', '2.52')
env.dist('beid_linux')

=== _src/beid-2.6/src/eidlib/test/Makefile ===
all:
	g++ -o test test.o -lbeid

test.o: test.cpp
	g++ -c test.cpp -I/usr/local/include/beid

=== _src/eidmw/misc/mac/OOoRegister/Makefile ===
PKG_NAME=OpenOffice_Register.pkg

PKG_MAKER=/Developer/Applications/Utilities/PackageMaker.app/Contents/MacOS/PackageMaker
CC=gcc

PROCESSOR = $(shell uname -p)

all: postflight PKG_NAME

postflight: postflight.c
ifeq ($(PROCESSOR), powerpc)
	$(CC) -arch ppc postflight.c -o postflight
	@echo "******************************************************"
	@echo "WARNING: postflight is no universal binary!!"
	@echo "so don't build the universal binary on this machine!!!"
	@echo "******************************************************"
else
	$(CC) -arch ppc -arch i386 postflight.c -o postflight
endif

PKG_NAME:
	cp postflight resources/
	- test -d $(PKG_NAME) && rm -rf $(PKG_NAME)
	- mkdir -p empty
	$(PKG_MAKER) -build -p $(PKG_NAME) -f empty -ds -i Info.plist \
		 -d Description.plist -r resources  -v

=== _src/eidmw/sdk/samples/events/C++/Makefile ===
CXX           = g++
DEFINES       = 
CXXFLAGS      = -O2 -g
INCPATH       = ../../../beidlib/C++/include

LINK          = g++
LFLAGS        =
LIBPATH	      = /usr/local/lib 
LIBS          = -lbeidlib

OBJECTS       = main.o
SOURCES       = main.cpp
TARGET_NAME   = events_eid
DESTDIR       = .
TARGET        = $(DESTDIR)/$(TARGET_NAME)

$(TARGET) : $(SOURCES)
	$(CXX) $(CXXFLAGS) $(SOURCES) -I$(INCPATH) -o $(TARGET) -L$(LIBPATH) $(LIBS)

=== _src/eidmw/sdk/samples/exception/C++/Makefile ===
CXX           = g++
DEFINES       = 
CXXFLAGS      = -O2 -g
INCPATH       = ../../../beidlib/C++/include

LINK          = g++
LFLAGS        =
LIBPATH	      = /usr/local/lib 
LIBS          = -lbeidlib

OBJECTS       = main.o
SOURCES       = main.cpp
TARGET_NAME   = get_exception
DESTDIR       = .
TARGET        = $(DESTDIR)/$(TARGET_NAME)

$(TARGET) : $(SOURCES)
	$(CXX) $(CXXFLAGS) $(SOURCES) -I$(INCPATH) -o $(TARGET) -L$(LIBPATH) $(LIBS)

=== _src/eidmw/sdk/samples/pin_eid/C++/Makefile ===
CXX           = g++
DEFINES       = 
CXXFLAGS      = -O2 -g
INCPATH       = ../../../beidlib/C++/include

LINK          = g++
LFLAGS        =
LIBPATH	      = /usr/local/lib 
LIBS          = -lbeidlib

OBJECTS       = main.o
SOURCES       = main.cpp
TARGET_NAME   = pin_eid
DESTDIR       = .
TARGET        = $(DESTDIR)/$(TARGET_NAME)

$(TARGET) : $(SOURCES)
	$(CXX) $(CXXFLAGS) $(SOURCES) -I$(INCPATH) -o $(TARGET) -L$(LIBPATH) $(LIBS)

=== _src/eidmw/sdk/samples/pin_eid/C/Makefile ===
CC           = gcc
DEFINES       = 
CCFLAGS      = -O2 -g
INCPATH       = ../../../beidlib/C/include

LINK          = gcc
LFLAGS        =
LIBPATH	      = /usr/local/lib 
LIBS          = -lbeidlibC 

OBJECTS       = main.o
SOURCES       = pin_eid.c
TARGET_NAME   = pin_eid
DESTDIR       = .
TARGET        = $(DESTDIR)/$(TARGET_NAME)

$(TARGET) : $(SOURCES)
	$(CC) $(CCFLAGS) $(SOURCES) -I$(INCPATH) -o $(TARGET) -L$(LIBPATH) $(LIBS)

=== _src/eidmw/sdk/samples/read_eid/C++/Makefile ===
CXX           = g++
DEFINES       = 
CXXFLAGS      = -O2 -g
INCPATH       = ../../../beidlib/C++/include

LINK          = g++
LFLAGS        =
LIBPATH	      = /usr/local/lib 
LIBS          = -lbeidlib

OBJECTS       = main.o
SOURCES       = main.cpp
TARGET_NAME   = read_eid
DESTDIR       = .
TARGET        = $(DESTDIR)/$(TARGET_NAME)

$(TARGET) : $(SOURCES)
	$(CXX) $(CXXFLAGS) $(SOURCES) -I$(INCPATH) -o $(TARGET) -L$(LIBPATH) $(LIBS)

=== _src/eidmw/sdk/samples/read_eid/C/Makefile ===
CC           = gcc
DEFINES       = 
CCFLAGS      = -O2 -g
INCPATH       = ../../../beidlib/C/include

LINK          = gcc
LFLAGS        =
LIBPATH	      = /usr/local/lib 
LIBS          = -lpcsclite \
		-lbeidlibC  \
		-lbeidcommon \
		-lbeidapplayer\
		-lbeiddialogsQT\
		-lbeidcardlayer

OBJECTS       = main.o
SOURCES       = read_eid.c
TARGET_NAME   = read_eid
DESTDIR       = .
TARGET        = $(DESTDIR)/$(TARGET_NAME)

$(TARGET) : $(SOURCES)
	$(CC) $(CCFLAGS) $(SOURCES) -I$(INCPATH) -o $(TARGET) -L$(LIBPATH) $(LIBS)

=== _src/eidmw/sdk/samples/sign_p11/C++/Makefile ===
CXX           = g++
DEFINES       = 
CXXFLAGS      = -O2 -g
INCPATH       = ../../../pkcs11/C++/include

LINK          = g++
LFLAGS        = -ldl

OBJECTS       = main.o
SOURCES       = main.cpp
TARGET_NAME   = sign_p11
DESTDIR       = .
TARGET        = $(DESTDIR)/$(TARGET_NAME)

$(TARGET) : $(SOURCES)
	$(CXX) $(CXXFLAGS) $(SOURCES) -I$(INCPATH) -o $(TARGET) $(LFLAGS)

=== _src/eidmw/sdk/samples/wait_card/C++/Makefile ===
CXX           = g++
DEFINES       = 
CXXFLAGS      = -O2 -g
INCPATH       = ../../../beidlib/C++/include

LINK          = g++
LFLAGS        =
LIBPATH	      = /usr/local/lib 
LIBS          = -lbeidlib

OBJECTS       = main.o
SOURCES       = main.cpp
TARGET_NAME   = wait_card
DESTDIR       = .
TARGET        = $(DESTDIR)/$(TARGET_NAME)

$(TARGET) : $(SOURCES)
	$(CXX) $(CXXFLAGS) $(SOURCES) -I$(INCPATH) -o $(TARGET) -L$(LIBPATH) $(LIBS)

=== debian/changelog ===
beid (3.5.2.dfsg-10) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/patches/0005-Fix-compilation.patch:
    Add missing includes, should fix some FTBFS (Closes: #586673)
  * debian/libbeidlibopensc2-dev.install:
    Do not install files already installed by other packages (Closes: #575196)
  * debian/control: Add Homepage field
  * Move usr/bin/beiddialogsQTsrv in libbeidlib3 package to break circular
    dependency (Closes: #586263)
  * Fix some paths related to libbeidpkcs11.so (Closes: #587260)

  [ Wouter Verhelst ]
  * Remove references to libbeidpkcs11 from libbeidlib3-dev. These are
    never linked to, anyway.
  * Include the .so symlink rather than the .so.3 one in beid-mozilla-plugin,
    since that's what the register.html file refers to; and SONAMEs aren't
    as important for browser plugins, anyway.

 -- Laurent Bigonville <bigon@debian.org>  Sun, 27 Jun 2010 16:23:03 +0200

beid (3.5.2.dfsg-9) unstable; urgency=low

  * Disable parallel build support for now

 -- Laurent Bigonville <bigon@debian.org>  Tue, 15 Jun 2010 23:52:25 +0200

beid (3.5.2.dfsg-8) unstable; urgency=low

  [ Wouter Verhelst ]
  * Clean up .diff.gz; remove a few stray files that don't belong there
    in the first place, and the leftovers of a half-finished
    autotools-based build that I worked on.
  * libbeidlibopensc2.prerm: remove, no longer needed
  [ Philip Richardson ]
  * debian/rules: adding missing files and folders for binaries creation 
  * beidgui: adding missing desktop menu icon (eid35.png) (Closes: #582230)
  * beidgui: photo and background image present 
  * beidgui: correct missing language menu
  * beid-mozilla-plugin: pkcs11 works in x86_64
    (contrib from david carliez in svn upstream r290)
  [ Laurent Bigonville ]
  * debian/control:
    - Add ${misc:Depends} dependency for all package
    - Bump Standards-Version to 3.8.4
    - Add Vcs-Git and Vcs-Browser fields
    - Add Section in source stanza and remove unneeded one
    - Add myself as Uploaders
    - beid-common package also replaces file from libbeidlibopensc2 (<< 3.5.2)
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/gbp.conf: Add gbp config file
  * debian/rules:
    - Only backup and restore _src/eidmw/jar/beid35libJava.jar
      instead of removing it on clean
    - Do not ignore make distclean errors
    - Really strip rpath from all executables
  * debian/patches/0009-Fix-.desktop-file-syntax.patch:
    Fix .desktop file syntax

 -- Laurent Bigonville <bigon@debian.org>  Sun, 13 Jun 2010 20:26:09 +0200

beid (3.5.2.dfsg-7) unstable; urgency=low

  * debian/rules: define NUMJOBS in all cases
  * debian/rules: remove -j argument to scons; apparently that's buggy
    in the current scons version (sigh)
  * debian/rules: explicitly chmod +x configure, since patch doesn't care for
    permission bits.
  * debian/rules: create the doxygen output directory (Closes: #573672)

 -- Wouter Verhelst <wouter@debian.org>  Sat, 13 Mar 2010 01:38:56 +0100

beid (3.5.2.dfsg-6) unstable; urgency=low

  * libbeidlib3-dbg: remove. The upstream build system "helpfully"
    already strips for us. We'll investigate and fix that later, but for
    now, shipping an empty -dbg package is less than useful.

 -- Wouter Verhelst <wouter@debian.org>  Sat, 27 Feb 2010 21:55:01 +0100

beid (3.5.2.dfsg-5) unstable; urgency=low

  * Make the code compile with g++-4.4. Sigh. It still has plenty of
    warnings; I'm not here to make it pretty, only to make it work.
  * I did not add a section, since I'll likely guess wrong, and
    it's ftp-master's job to place this stuff in a section, anyway.
    That's what Joerg Jaspert told me, too, so there ;-P (Closes: #570113)
  * Target unstable rather than experimental. There were issues in the
    past, but I can't reproduce them now. Presumably something was fishy
    with QT during debconf.

 -- Wouter Verhelst <wouter@debian.org>  Tue, 16 Feb 2010 18:05:11 +0100

beid (3.5.2.dfsg-4) experimental; urgency=low

  * Build with -sa. Oops.

 -- Wouter Verhelst <wouter@debian.org>  Thu, 03 Dec 2009 17:47:47 +0100

beid (3.5.2.dfsg-3) experimental; urgency=low

  * Really remove .dll and .exe files, this time. I'd extracted the
    .orig.tar.gz, removed the files from the .orig directory and the
    build directory, and then forgot to remove the .orig.tar.gz --
    resulting in dpkg-source not rebuilding it, since it's already
    there. Oops.
  * Also remove _src/eID-QuickInstaller/ReaderDrivers/, since that
    contains binaries that are not part of this source (they're likely
    still open source; but if they are, their source would be in
    libacr38u's source package rather than here, and I'd rather not have
    to deal with such a mess).

 -- Wouter Verhelst <wouter@debian.org>  Wed, 02 Dec 2009 10:07:38 +0100

beid (3.5.2.dfsg-2) experimental; urgency=low

  * Remove built .dll and .exe files from the source, to make
    ftp-masters happy. The source of these files is right next to them,
    they can be built from this source, and are provided by upstream
    only as a convenience; but no, we don't really need them and can
    kick them out; and since we 'need' to remove the .PDF anyway, why
    not go all the way. I still think it's silly, but whatever -- and
    yes, that does mean I'll keep removing them in the future, at least
    if they're still in future archives (I might poke upstream not to do
    so).

 -- Wouter Verhelst <wouter@debian.org>  Sat, 28 Nov 2009 18:23:25 +0100

beid (3.5.2.dfsg-1) experimental; urgency=low

  * Fix previous changelog entry to add credit where credit is due for
    fix for 525593. Oops.
  * Override lintian error beid-mozilla-plugin: no-shlibs-control-file
    lintian warning beid-mozilla-plugin:
    package-name-doesnt-match-soname libbeidpkcs11-3. This is not a
    shared library, but instead is a plugin for libbeidlibopensc2 and
    mozilla browsers. It would probably be useful to put this in a


=== debian/control ===
Source: beid
Priority: extra
Section: utils
Maintainer: Wouter Verhelst <wouter@debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 7), libpcsclite-dev, libssl-dev, scons, libqt3-mt-dev, swig, default-jdk-builddep, libqt4-dev, libxerces-c2-dev, doxygen, chrpath
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/beid.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/beid.git
Homepage: http://code.google.com/p/eid-mw/

Package: libbeidlibopensc2
Section: libs
Suggests: libacr38u
Recommends: beid-tools, pcscd
Architecture: any
Depends: ${shlibs:Depends}, beid-common, ${misc:Depends}
Provides: libbelpic0
Conflicts: libbelpic0
Description: belgian eID PKCS11 library
 This package contains libbeidlibopensc, a library that is loosely based
 on libopensc with additional support for the Belgian eID card. It was
 built from the official sources as provided by Zetes Belgium on the
 Belgian federal website.
 .
 The OpenSC library, on which this library was based, now also contains
 support for the Belgian eID cards. However, since there are still some
 things that OpenSC chooses not to do (like showing a popup window
 without the application's interference when the user needs to enter his
 pincode), applications that want to use the Belgian eID card may have
 to use this library instead of OpenSC.
 .
 Please read the README.Debian file for information on setting up your
 system so that it can read from smartcards.

Package: libbeidlibopensc2-dev
Architecture: any
Section: libdevel
Depends: libbeidlibopensc2 (=${binary:Version}), ${misc:Depends}
Conflicts: libopensc1-dev, libbelpic0-dev
Provides: libbelpic0-dev
Description: belgian eID PKCS11 library, development files
 This package contains the development files for libbeidlibopensc, a
 library that is loosely based on libopensc with additional support for
 the Belgian eID card. It was built from the official sources as
 provided by Zetes Belgium on the Belgian federal website.
 .
 The OpenSC library, on which this library was based, now also contains
 support for the Belgian eID cards. However, since there are still some
 things that OpenSC chooses not to do (like showing a popup window
 without the application's interference when the user needs to enter his
 pincode), applications that want to use the Belgian eID card may have
 to use this library instead of OpenSC.
 .
 Install this package if you want to develop applications that use
 libbeidlibopensc directly.
 .
 Please read the README.Debian file in the libbeidlibopensc2 package for
 information on setting up your system so that it can read from smartcards.

Package: libbeidlibopensc2-dbg
Architecture: any
Section: debug
Depends: libbeidlibopensc2 (=${binary:Version}), ${misc:Depends}
Description: belgian eID PKCS11 library, debugging symbols
 This package contains the development files for libbeidlibopensc, a
 library that is loosely based on libopensc with additional support for
 the Belgian eID card. It was built from the official sources as
 provided by Zetes Belgium on the Belgian federal website.
 .
 The OpenSC library, on which this library was based, now also contains
 support for the Belgian eID cards. However, since there are still some
 things that OpenSC chooses not to do (like showing a popup window
 without the application's interference when the user needs to enter his
 pincode), applications that want to use the Belgian eID card may have
 to use this library instead of OpenSC.
 .
 Install this package if you need the debugging symbols of
 libbeidlibopensc2
 .
 Please read the README.Debian file in the libbeidlibopensc2 package for
 information on setting up your system so that it can read from smartcards.

Package: beid-tools
Provides: belpic
Conflicts: belpic
Replaces: libbeidlibopensc2 (<< 2.5.9-2)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SmartCard utilities from the OpenSC project, compiled against libbeidlibopensc
 This package contains some of the utilities that can be found in the
 opensc package, but compiled against libbeidlibopensc rather than
 libopensc.  libbeidlibopensc is libopensc 0.8.1 with additional support
 for the Belgian eID card. See the libbeidlibopensc0 package for
 details.
 .
 The binaries in this package have all been prefixed with 'beid-', so
 as to avoid namespace conflicts with the opensc package.
 .
 Please read the README.Debian file in the libbeidlibopensc2 package for
 information on setting up your system so that it can read from smartcards.

Package: libbeid2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libeid0
Conflicts: libeid0
Description: library to read identity information from the Belgian electronic ID card
 The Belgian electronic ID card contains two types of data: on the one
 hand, there's the X.509 keys that can be used by the owner of the card
 to perform authentication and to make digital signatures; on the other
 hand, the card contains digital versions of the identity information,
 digitally signed by the government.
 .
 This library allows the user to read out the identity information, to
 verify the signature, and to verify its certificate against an online
 CRL or similar technology.
 .
 To read out the X.509 keys, please see the libbeidlibopensc2 package.
 .
 Please read the README.Debian file in the libbeidlibopensc2 package for
 information on setting up your system so that it can read from smartcards.

Package: libbeid2-dev
Architecture: any
Section: libdevel
Depends: libbeid2 (=${binary:Version}), ${misc:Depends}
Provides: libeid0-dev
Conflicts: libeid0-dev
Description: development library to read identity information from the Belgian eID card
 The Belgian electronic ID card contains two types of data: on the one
 hand, there's the X.509 keys that can be used by the owner of the card
 to perform authentication and to make digital signatures; on the other
 hand, the card contains digital versions of the identity information,
 digitally signed by the government.
 .
 This library allows the user to read out the identity information, to
 verify the signature, and to verify its certificate against an online
 CRL or similar technology.
 .
 To read out the X.509 keys, please see the libbeidlibopensc2 package.
 .
 This package contains the development files for libbeid2.
 .
 Please read the README.Debian file in the libbeidlibopensc2 package for
 information on setting up your system so that it can read from smartcards.

Package: libbeid2-dbg
Architecture: any
Section: debug
Depends: libbeid2 (=${binary:Version}), ${misc:Depends}
Description: library to read identity information from the Belgian eID card (debug)
 The Belgian electronic ID card contains two types of data: on the one
 hand, there's the X.509 keys that can be used by the owner of the card
 to perform authentication and to make digital signatures; on the other
 hand, the card contains digital versions of the identity information,
 digitally signed by the government.
 .
 This library allows the user to read out the identity information, to
 verify the signature, and to verify its certificate against an online
 CRL or similar technology.
 .
 To read out the X.509 keys, please see the libbeidlibopensc2 package.
 .
 This package contains the debugging symbols for libbeid2.
 .
 Please read the README.Debian file in the libbeidlibopensc2 package for
 information on setting up your system so that it can read from smartcards.

Package: beidgui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: eidviewer
Conflicts: eidviewer
Description: application to read out information from the Belgian electronic ID card
 This application allows the user to read out any information from a
 Belgian electronic ID card, by using libbeid and libbeidlibopensc to
 read the data from the card and parse it. Both identity information and
 information about the stored cryptographic keys can be read in a
 user-friendly manner, and can easily be printed out or stored for later
 reviewal.
 .
 The application verifies the signature of the identity information,
 checks whether it was signed by a government-issued key, and optionally
 checks the certificate against the government's Certificate Revocation List
 (CRL) and/or by using the Online Certificate Status Protocol (OCSP) against
 the government's servers.
 .
 Please read the README.Debian file in the libbeidlibopensc2 package for
 information on setting up your system so that it can read from smartcards.

Package: beid-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: beidgui (<< 3.5.2), libbeidlibopensc2 (<< 3.5.2)
Description: beID support files
 This package contains several files that are necessary for some of the
 beID libraries to function correctly.
 .
 It has no use on its own.

Package: beid-docs
Architecture: all
Depends: ${misc:Depends}
Description: beID API documentation
 This package contains the API documentation for the various beID
 libraries. Note that it does not document the old libbeid2 and
 libbeidlibopensc2 libraries; these are only provided for backwards
 compatibility and should no longer be used for new projects.

Package: libbeidlib3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, beid-common, ${misc:Depends}
Replaces: beid-common (<< 3.5.2.dfsg-10)
Description: beID library, version 3 API
 This package contains the libraries needed to use the Belgian
 electronic ID card. These libraries were built from the official
 government source code.
 .
 In order to do anything useful with the card, you will need additional
 software, found in the packages 'beidgui' and 'beid-mozilla-plugin'.

Package: libbeidlib3-dev
Architecture: any
Section: libdevel
Depends: ${shlib:Depends}, libbeidlib3 (=${binary:Version}), ${misc:Depends}
Description: beID library, version 3 API, development package
 This package contains the files needed to compile software for the
 Belgian electronic ID card.
 .
 Please see the package beid-docs for the API documentation.

Package: beid-mozilla-plugin
Architecture: any
Replaces: libbeidlibopensc2 (<= 2.6.0), libbeidlib3-dev (<< 3.5.2.dfsg-10)
Depends: ${shlibs:Depends}, libnss3-tools, iceweasel | icedove, ${misc:Depends}
Description: beID mozilla plugin
 This package contains the mozilla smartcard plugin needed to use a
 Belgian electronic ID card to authenticate to a website.
 .
 Install this package if you want to do that.

=== debian/rules ===
#!/usr/bin/make -f
TOPDIR=$(shell pwd)

#export DH_VERBOSE=1
CFLAGS=-Wall -g
ifeq ($(findstring noopt,$(DEB_BUILD_OPTIONS)),)
	CFLAGS+=-O2
endif
CXXFLAGS=$(CFLAGS)

export JAVA_HOME=/usr/lib/jvm/default-java
export CFLAGS
export CXXFLAGS

#ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
#	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
#else
NUMJOBS = 1
#endif

stampdir:
	mkdir stampdir

clean:
	dh_testdir
	dh_testroot
	# Clean out 2.6
	[ ! -f $(CURDIR)/_src/beid-2.6/Makefile ] || cd $(CURDIR)/_src/beid-2.6/ $(MAKE) distclean
	-rm -Rf stampdir
	-rm -Rf _src/beid-2.6/.sconf_temp
	-find _src/beid-2.6/ -name *.pyc -exec rm -f {} \;
	-find _src/beid-2.6/ -type d -name cache -exec rm -Rf {} \;
	-rm _src/beid-2.6/config.log
	# Clean out 3.5
	[ ! -f $(CURDIR)/_src/eidmw/Makefile ] || $(MAKE) -f $(CURDIR)/_src/eidmw/Makefile distclean
	find _src/eidmw/eidlibJava -name '*.class' -exec rm -f {} \;
	-rm _src/eidmw/bin/eidmw_*.qm
	[ ! -f $(CURDIR)/_src/eidmw/jar/beid35libJava.jar.orig ] || mv -f $(CURDIR)/_src/eidmw/jar/beid35libJava.jar.orig $(CURDIR)/_src/eidmw/jar/beid35libJava.jar
	-rm -Rf _src/eidmw/_DocsExternal/*
	dh_clean

HOSTNAME=$(shell hostname --fqdn)
build: build-arch build-indep
build-arch: stampdir/build-arch-stamp
stampdir/build-arch-stamp: stampdir
	dh_testdir
	[ -f $(CURDIR)/_src/eidmw/jar/beid35libJava.jar.orig ] || cp -a $(CURDIR)/_src/eidmw/jar/beid35libJava.jar $(CURDIR)/_src/eidmw/jar/beid35libJava.jar.orig
	# Build 2.6 version of middleware
	cd _src/beid-2.6 && scons --cache-disable prefix=/usr confdir=/etc/
	# Build 3.5 version of middleware
	# needed for libxerces with -p because be unhappy if exists.
	mkdir -p  _src/eidmw/eidlibJava/class
	cd _src/eidmw && chmod +x configure && ./configure --prefix=/usr CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)"
	cd _src/eidmw && $(MAKE) -j$(NUMJOBS)
	# Done. Hopefully.
	touch stampdir/build-arch-stamp

build-indep: stampdir/build-indep-stamp
stampdir/build-indep-stamp: stampdir
	dh_testdir
	mkdir -p _src/eidmw/_DocsExternal/C++_Api
	cd _src/eidmw/_DocsInternal/API && doxygen DoxySDK.cfg
	cd _src/eidmw/_DocsInternal/API && doxygen DoxySDK_java.cfg
	touch stampdir/build-indep-stamp

install: stampdir/install-stamp
stampdir/install-stamp: stampdir build
	dh_testdir
	dh_testroot
	dh_installdirs
	# Install 2.6. This needs to be done manually, since SCons' DESTDIR
	# support is non-existent.
	install -d debian/tmp/usr/lib debian/tmp/usr/bin debian/tmp/usr/include/beid/opensc debian/tmp/usr/share/locale debian/tmp/usr/share/beid/certs debian/tmp/usr/share/beid/crl debian/tmp/etc debian/tmp/usr/share/applications debian/tmp/usr/share/icons debian/tmp/usr/lib/pkcs11
	cp -a _src/beid-2.6/src/newpkcs11/src/pkcs11/libbeidpkcs11.so* _src/beid-2.6/src/beidcommlib/libbeidcomm.so* _src/beid-2.6/src/winscarp/libbeidpcsclite.so* _src/beid-2.6/src/eidlib/libbeid.so* _src/beid-2.6/src/eidlibjni/libbeidlibjni.so* _src/beid-2.6/src/beidcommon/libbeidcommon.so* _src/beid-2.6/src/newpkcs11/src/libopensc/libbeidlibopensc.so* debian/tmp/usr/lib
	cp -a _src/beid-2.6/src/newpkcs11/src/tools/beid-pkcs11-tool _src/beid-2.6/src/newpkcs11/src/tools/beid-tool _src/beid-2.6/src/Belpic\ PCSC\ Service/beidpcscd _src/beid-2.6/src/beidservicecrl/beidcrld debian/tmp/usr/bin
	cp -a _src/beid-2.6/src/newpkcs11/config.h _src/beid-2.6/src/eidlib/eidlib.h _src/beid-2.6/src/eidlib/eiddefines.h _src/beid-2.6/src/eidlib/eiderrors.h debian/tmp/usr/include/beid
	cp -a _src/beid-2.6/src/newpkcs11/etc/beidbase.conf debian/tmp/etc
	# The following are symlinks, which we do *not* want to see persisting.
	cp -pR _src/beid-2.6/src/newpkcs11/src/include/opensc/* debian/tmp/usr/include/beid/opensc
	cp -a _src/beid-2.6/src/newpkcs11/etc/Belgian_eID_PKCS11_java.cfg debian/tmp/usr/lib/pkcs11
	# Install 3.5
	cd _src/eidmw && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install
	# Why does this build system suck so much?
	cp -a _src/eidmw/misc/beid/beid-pkcs11-*.html debian/tmp/usr/share/beid/
	cp -a _src/eidmw/install/beid.conf.3.5 debian/tmp/etc/beid.conf
	cp -a _src/eidmw/install/beidgui35.desktop debian/tmp/usr/share/applications
	cp -a _src/eidmw/install/eid35.png debian/tmp/usr/share/icons
	mkdir -p debian/tmp/usr/share/doc/beid-docs
	cp -a _src/eidmw/_DocsExternal/C++_Api/html debian/tmp/usr/share/doc/beid-docs/C++
	cp -a _src/eidmw/_DocsExternal/Java_Api/html debian/tmp/usr/share/doc/beid-docs/Java
	cp -a _src/eidmw/bin/beidgui debian/tmp/usr/bin
	cp -a _src/eidmw/bin/eidmw_*.qm debian/tmp/usr/share/beid
	cp -a _src/eidmw/bin/beiddialogsQTsrv debian/tmp/usr/bin
	cp -a _src/eidmw/lib/lib* debian/tmp/usr/lib
	#Strip rpath from executables
	find debian/tmp/usr/bin -type f -perm /111 -print0 | xargs -0 chrpath -d
	dh_lintian
	dh_install --sourcedir=debian/tmp
	dh_installmenu
	dh_installman -p beid-tools _src/beid-2.6/src/newpkcs11/docs/beid-tool.1 _src/beid-2.6/src/newpkcs11/docs/beid-pkcs11-tool.1
	touch stampdir/install-stamp

binary: stampdir/binary-stamp
stampdir/binary-stamp: stampdir install
	dh_testdir -a
	dh_testroot -a
	dh_installman -a
	dh_installchangelogs -a
	dh_installinit -p beid-tools --name=beid
	dh_strip -p libbeidlibopensc2 --dbg-package=libbeidlibopensc2-dbg
	dh_strip -p libbeid2 --dbg-package=libbeid2-dbg
	# The upstream build system either already strips these, or does
	# not provide debugging symbols to begin with. Will investigate
	# later.
	#dh_strip -p libbeidlib3 --dbg-package=libbeidlib3-dbg
	dh_strip -a
	dh_link -a
	dh_installdocs -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -V -p libbeidlibopensc2 -Pdebian/libbeidlibopensc2
	dh_makeshlibs -V -p libbeid2 -Pdebian/libbeid2
	dh_makeshlibs -V -p libbeidlib3 -Pdebian/libbeidlib3
	dh_installdeb -a
	dh_shlibdeps -ldebian/tmp/usr/lib -Llibeid2 -Llibbelpic2 -Llibbeidlib3
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a
	touch stampdir/binary-stamp

binary-arch: stampdir/binary-stamp
binary-indep: stampdir/binary-stamp
.PHONY: belpic-build belpic-binary binary install belpic-install build binary-arch
